org.apache.commons.math3.exception.util

## Interface ExceptionContextProvider

- All Known Implementing Classes:
    CardanEulerSingularityException, ConvergenceException, DimensionMismatchException, FractionConversionException, IllConditionedOperatorException, InvalidRepresentationException, JacobianMatrices.MismatchedEquations, MathArithmeticException, MathIllegalArgumentException, MathIllegalNumberException, MathIllegalStateException, MathInternalError, MathParseException, MathRuntimeException, MathUnsupportedOperationException, MatrixDimensionMismatchException, MaxCountExceededException, ModelSpecificationException, MultiDimensionMismatchException, NoBracketingException, NoDataException, NoFeasibleSolutionException, NoFeasibleSolutionException, NonMonotonicSequenceException, NonPositiveDefiniteMatrixException, NonPositiveDefiniteOperatorException, NonSelfAdjointOperatorException, NonSquareMatrixException, NonSquareOperatorException, NonSymmetricMatrixException, NotANumberException, NotARotationMatrixException, NotFiniteNumberException, NotPositiveException, NotStrictlyPositiveException, NullArgumentException, NumberIsTooLargeException, NumberIsTooSmallException, OutOfRangeException, SingularMatrixException, SingularOperatorException, TooManyEvaluationsException, TooManyIterationsException, UnboundedSolutionException, UnboundedSolutionException, UnknownParameterException, ZeroException

      public interface ExceptionContextProvider

  Interface for accessing the context data structure stored in Commons Math exceptions.
  Version:
    $Id: ExceptionContextProvider.java 1364388 2012-07-22 18:16:43Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExceptionContext` | `getContext()` Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.

- - ### Method Detail

    - #### getContext

          ExceptionContext getContext()

      Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.
      Returns:
        a reference to the exception context.

Copyright (c) 2003-2013 Apache Software Foundation